Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.picocontainer
Class XFireServiceRegisterVisitor

    java.lang.Object
      org.picocontainer.defaults.AbstractPicoVisitor
          org.codehaus.xfire.picocontainer.XFireServiceRegisterVisitor

All Implemented Interfaces:
  org.picocontainer.PicoVisitor

    public class XFireServiceRegisterVisitor

extends org.picocontainer.defaults.AbstractPicoVisitor

Looks for Services then register them on XFire.

Version:
  $Revision$
Author:
  Jose Peleteiro

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Constructor Summary
`XFireServiceRegisterVisitor(ServiceRegistry serviceRegistry)`

Method Summary
`void` | `visitComponentAdapter(org.picocontainer.ComponentAdapter ca)`
`void` | `visitContainer(org.picocontainer.PicoContainer pico)`
`void` | `visitParameter(org.picocontainer.Parameter p)`

Methods inherited from class org.picocontainer.defaults.AbstractPicoVisitor
`checkTraversal, traverse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

Constructor Detail

### XFireServiceRegisterVisitor

    public XFireServiceRegisterVisitor(ServiceRegistry serviceRegistry)

Method Detail

### visitContainer

    public void visitContainer(org.picocontainer.PicoContainer pico)

### visitComponentAdapter

    public void visitComponentAdapter(org.picocontainer.ComponentAdapter ca)

### visitParameter

    public void visitParameter(org.picocontainer.Parameter p)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.